unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    RichEdit1: TRichEdit;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses psvRTFText;

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
var
 RTF : TpsvRichText;
begin
 RTF := TpsvRichText.Create(nil);
 RTF.Alignment := taCenter;
 RTF.Font.Color := clRed;
 RTF.Font.Size := 24;
 RTF.Font.Style := [fsBold];
 RTF.Write('TpsvRichText demo');
 RTF.Writeln;
 RTF.Font.Color := clBlack;
 RTF.Font.Size := 10;
 RTF.Font.Style := [];
 RTF.Alignment := taLeftJustify;
 RTF.Write('RichEdit Syntax Highlight package is a set of a classes and components for Delphi 5,6 and 7');
 RTF.Writeln;
 RTF.Write('Components:');
 RTF.Font.Color := clNavy;
 RTF.FirstBulletLine('TpsvPasRTF -- Delphi syntax highlight');
 RTF.NextBulletLine('TpsvHTMLRTF -- HTML syntax highlight');
 RTF.NextBulletLine('TpsvSQLRTF -- SQL syntax highlight');
 RTF.NextBulletLine('TpsvPHPRTF -- PHP syntax highlight');
 RTF.NextBulletLine('TpsvVBScriptRTF -- VBScript syntax highlight');
 RTF.NextBulletLine('TpsvJScriptRTF -- JScript syntax highlight');
 RTF.NextBulletLine('TpsvDFMRTF -- Delphi DFM syntax highlight');
 RTF.NextBulletLine('TpsvXMLRTF -- XML syntax highlight');
 RTF.NextBulletLine('TpsvVBRTF -- Visual Basic syntax highlight');
 RTF.NextBulletLine('TpsvCppRTF -- C++ syntax highlight');
 RTF.SaveToFile('readme.rtf');
 RichEdit1.Lines.LoadFromFile('readme.rtf');
 RTf.Free;
end;

end.
